Subject: Re: [Gen-art] [mpls] Review: draft-ietf-mpls-ldp-multi-topology-09.txt

From: Jari Arkko <[email-masked]>
Date: Wed, 26 Mar 2014 13:44:11 +0800

Thank you for the review, Joel, and for the update, Daniel. I have balloted a No-Obj for this document in tomorrow's IESG telechat.

Jari

On Feb 21, 2014, at 6:04 AM, Daniel King <[email-masked]> wrote:

> Dear Joel, 
> 
> Thank you for your comments. 
> 
> We have updated the MPLS LDP MT draft and have clarified the Multi-Topology
> Identifiers, figure 10 shows the initial MT-ID registry values:
> 
> http://tools.ietf.org/html/draft-ietf-mpls-ldp-multi-topology-11#section-9
> 
> We have also defined (and documented in the draft) that a new Internet-Draft
> will be created to document the policy and process for allocating future
> MT-IDs values from the LDP MT Name Space.
> 
> Re: Network byte order
> 
> The implementers chose the sequence format so that MT-ID was added
> intentionally after IP Prefix to emphasise it as an extension to existing IP
> Prefix. 
> 
> Br, Dan. 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Joel
> M. Halpern
> Sent: October 18, 2013 10:31 AM
> To: A. Jean Mahoney
> Cc: [email-masked]; [email-masked]; IETF discussion list
> Subject: [mpls] [Gen-art] Review: draft-ietf-mpls-ldp-multi-topology-09.txt
> 
> I am the assigned Gen-ART reviewer for this draft. For background on
> Gen-ART, please see the FAQ at
> 
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
> 
> Please resolve these comments along with any other Last Call comments you
> may receive.
> 
> Document: draft-ietf-mpls-ldp-multi-topology-09.txt
>     LDP Extensions for Multi Topology Routing
> Reviewer: Joel M. Halpern
> Review Date: 18-October-2013
> IETF LC End Date: 6-November-2013
> IESG Telechat date: N/A
> 
> Summary: This document is nearly ready for publication as a Proposed
> Standard RFC.  I believe there is one major issue that is easily addressed.
> 
> Major issues:
>     I may have simply missed this reviewing the document, but as far as I
> can tell there is no specification of the relationship between the MT-IDs in
> this document and the MT-IDs used elsewhere.  Yes, I can take a guess at the
> intent.  But is it stated somewhere that these are the same IDs negotiated
> in the relevant IGP?  Or is there some other intent?
> 
> Minor issues:
> 
> Nits/editorial comments:
>     I find it odd that the MT-ID follows the IP prefix in the various
> formats.  Yes, the computer can parse both.  But since we tend to think in
> Network byte order, I expect more significant information (MT-ID) to occur
> before less significant information (IP prefix within topology.)
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art